Platform
TEXT → IMAGE · Black Forest Labs

Flux 2 Max

Flux 2 Max is the top tier of Black Forest Labs' FLUX.2 image family, aimed at realism, precision and consistency.
PRICE0.135 creditsper image
AVG TIME~12sestimate
OUTPUTimagesync
Open in playground

Inputs

promptrequired · text
params.aspect_ratioauto | 1:1 | 3:2 | 16:9 | 21:9 | 9:16 | 2:3 | 3:4 | 4:5 · default auto
params.n1 | 2 | 3 | 4 · default 1
Monthly estimate
1,000 × 0.135 credits135.00 credits
curl https://platform.4i.app/api/v1/run \
  -H "Authorization: Bearer $FOURI_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "service": "bfl/flux-2-max",
    "input": {
      "prompt": "Describe an image…"
    },
    "params": {
      "aspect_ratio": "auto"
    }
  }'
Every output has an artifact_id. Pass it as input to any compatible service.
Get your API key →